import pygame
from pygame.locals import *

import tools

class Explosion(pygame.sprite.Sprite):
    animecycle = 6
    speed = 9

    def __init__(self, pos):
        pygame.sprite.Sprite.__init__(self, self.containers)
        self.images = tools.split_image(tools.load_image("data", "explosion.png"), 2, 1)
        self.image = self.images[0]
        self.rect = self.image.get_rect()
        self.rect.center = pos
        self.frame = 0

    def update(self):
        self.frame += 1
        self.image = self.images[int(self.frame / self.animecycle % 2)]
        if self.frame >= 12:
            self.kill()
